
#ifndef __SIVOICEDAAREG__
#define __SIVOICEDAAREG__

#define VDAR_CTRL1	1
#define VDAR_CTRL2	2
#define VDAR_INTM	3
#define VDAR_INTS	4
#define VDAR_DAAC1	5
#define VDAR_DAAC2	6
#define VDAR_SRATE	7
#define VDAR_DAAC3	10
#define VDAR_REV	11
#define	VDAR_LSDS	12
#define	VDAR_LSDR	13
#define VDAR_DAAC4	14
#define VDAR_GAIN	15
#define VDAR_INTC1	16
#define VDAR_INTC2	17
#define VDAR_INTC3	18
#define VDAR_INTC4	19
#define VDAR_CPRXA	20
#define VDAR_CPTXA	21
#define VDAR_RVC1	22
#define VDAR_RVC2	23
#define VDAR_RVC3	24
#define VDAR_RESC	25
#define VDAR_DCTERMC	26
#define VDAR_LOOPCS	28
#define VDAR_LOOPLV	29
#define VDAR_ACTERMC	30
#define VDAR_DAAC5	31
#define VDAR_GNDSC	32
#define VDAR_PCMMODE	33
#define VDAR_PCMTSCL	34
#define VDAR_PCMTSCH	35
#define VDAR_PCMRSCL	36
#define VDAR_PCMRSCH	37
#define VDAR_TXGAIN2	38
#define VDAR_RXGAIN2	39
#define VDAR_TXGAIN3	40
#define VDAR_RXGAIN3	41
#define VDAR_GCIC	42
#define VDAR_LVTHINT	43
#define VDAR_LVTHINTC	44
#define VDAR_HYBREG1	45
#define VDAR_HYBREG2	46
#define VDAR_HYBREG3	47
#define VDAR_HYBREG4	48
#define VDAR_HYBREG5	49
#define VDAR_HYBREG6	50
#define VDAR_HYBREG7	51
#define VDAR_HYBREG8	52
#define VDAR_SPARKQ	59

static struct country_reg {
	const char *country;
	int ohs;
	int ohs2;
	int rz;
	int rt;
	int ilim;
	int dcv;
	int mini;
	int acim;
} country_regs[] = {
	{"ARGENTINA",  0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"AUSTRALIA",  0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x3},
	{"AUSTRIA",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x3},
	{"BAHRAIN",    0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"BELGIUM",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"BRAZIL",     0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x1},
	{"BULGARIA",   0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x3},
	{"CANADA",     0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"CHILE",      0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"CHINA",      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xF},
	{"COLOMBIA",   0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"CROATIA",    0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"CYPRUS",     0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"CZECH",      0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"DENMARK",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"ECUADOR",    0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"EGYPT",      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"ELSALVADOR", 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"FINLAND",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"FRANCE",     0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"GERMANY",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x3},
	{"GREECE",     0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"GUAM",       0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"HONGKONG",   0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"HUNGARY",    0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"ICELAND",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"INDIA",      0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x4},
	{"INDONESIA",  0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"IRELAND",    0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"ISRAEL",     0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"ITALY",      0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"JAPAN",      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"JORDAN",     0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"KAZAKHSTAN", 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"KUWAIT",     0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"LATVIA",     0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"LEBANON",    0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"LUXEMBOURG", 0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"MACAO",      0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"MALAYSIA",   0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"MALTA",      0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"MEXICO",     0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"MOROCCO",    0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"NETHERLANDS",0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"NEWZEALAND", 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x4},
	{"NIGERIA",    0x0, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"NORWAY",     0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"OMAN",       0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"PAKISTAN",   0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"PERU",       0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"PHILIPPINES",0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"POLAND",     0x0, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0},
	{"PORTUGAL",   0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"ROMANIA",    0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"RUSSIA",     0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"SAUDIARABIA",0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"SINGAPORE",  0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"SLOVAKIA",   0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x3},
	{"SLOVENIA",   0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x2},
	{"SOUTHAFRICA",0x1, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, 0x3},
	{"SOUTHKOREA", 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"SPAIN",      0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"SWEDEN",     0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"SWITZERLAND",0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x2},
	{"SYRIA",      0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"TAIWAN",     0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"THAILAND",   0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0},
	{"UAE",        0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"UK",         0x0, 0x1, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5},
	{"USA",        0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
	{"YEMEN",      0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0},
};

#endif
